package client.renderer.blockmodel;

import common.util.Facing;

public class BakedQuad {
	protected final int[] data;
	protected final int tint;
	protected final Facing face;

	public BakedQuad(int[] data, int tint, Facing face) {
		this.data = data;
		this.tint = tint;
		this.face = face;
	}

	public int[] getVertexData() {
		return this.data;
	}

	public boolean hasTintIndex() {
		return this.tint != -1;
	}

	public int getTintIndex() {
		return this.tint;
	}

	public Facing getFace() {
		return this.face;
	}
}
